Subject: Re: [payload] WGLC on draft-ietf-avt-rtp-evrc-nw-03

From: "Fang, Zheng" <[email-masked]>
Date: Tue, 4 Oct 2011 00:44:13 +0000

Hi Roni,

Thank you for your comments and suggestions. I updated the draft based on your suggestions. Please find attached the modified text and diff.

I am not sure how to address some of the comments. My answers to those questions are in line. I would appreciate it if you could further comment on it.

I will submit a new version once I resolve all the comments.

Thanks!
Zheng

From: Roni Even [mailto:[email-masked]]
Sent: Monday, August 29, 2011 4:35 AM
To: [email-masked]
Cc: Fang, Zheng
Subject: RE: [payload] WGLC on draft-ietf-avt-rtp-evrc-nw-03

Hi,
I reviewed the draft and have some comments.

1.       It looks to me that this draft updates RFC3558 similar to RFC 4788 and RFC 5188.  It should be referenced in the header and in the text
[Zheng] Although the payload definition of EVRCNW is similar to EVRCWB (RFC 5188), EVRCB (RFC 4788) and EVRC (RFC 3558), the current draft only defines the payload format for EVRCNW only. This is different than that of RFC 5188, which not only defines a new MIME type (EVRC-WB) but also update an existing MIME type (EVRC-B in RFC 4788).

2.       In section 6 first paragraph why not reference 3788 where ToC is defined.
[Zheng] Reference is added.

3.       In second 9 in the registration template you have sendmode deprecated. This is strange since this registration is a new registration so there is nothing to deprecate . If you want to state that this optional parameter that is used in other EVRC modes is not used, please do it in another section and not in the registration section.
[Zheng] The sendmode descriptions are removed from the registration templates. Instead a comment on it is added in Section 10 "SDP mode attributes for EVRC-NW".

4.       In section 9 in the published specification you mention RFC3558 without a reference. I think that this document need also to be specified since it defines the RTP header and the usage.
[Zheng] References are added.

5.       In section 9 in the author field add your email address
[Zheng] Done.

6.      In section 9  change controller should be " IETF Audio/Video Transport working group delegated from the IESG."
[Zheng] I am a little confused. The changed controller was indeed the same as you mentioned. Can you please point it out in case I miss anything?

7.      In section 13 how is "mode-set-recv" used in declarative SDP since it is a decoder capability and not an encoder one.
[Zheng] In some two-way conversation scenarios, the traffics can be asymmetric, i.e, incoming and outgoing streams use different sets of modes. It is sufficient to declare decoder capability and the encoder at the other side simply follows.

Thanks
Roni Even

From: [email-masked] [mailto:[email-masked]] On Behalf Of Roni Even
Sent: Thursday, August 18, 2011 2:49 PM
To: [email-masked]
Subject: [payload] WGLC on draft-ietf-avt-rtp-evrc-nw-03

Hi,

I would like to start a Working Group Last Call on draft-ietf-avt-rtp-evrc-nw-03<http://tools.ietf.org/html/draft-ietf-avt-rtp-evrc-nw-03> , RTP payload format for Enhanced Variable Rate Narrowband-Wideband Codec  (EVRC-NW)

The WGLC will end on September 9, 2011
Please review the draft and send comments to the list.

Roni Even
Payload co-chair

---

From: Roni Even <[email-masked]>
Date: Tue, 04 Oct 2011 17:55:04 +0200

Hi Zheng,

See inline

Roni

From: Fang, Zheng [mailto:[email-masked]] 
Sent: Tuesday, October 04, 2011 2:44 AM
To: Roni Even; [email-masked]
Cc: Wang, Min; Sinder, Dan; Huang, Pengjun (Jeff); Kandhadai,
Ananthapadmanabhan (Ananth); Fang, Zheng
Subject: RE: [payload] WGLC on draft-ietf-avt-rtp-evrc-nw-03

Hi Roni,

Thank you for your comments and suggestions. I updated the draft based on
your suggestions. Please find attached the modified text and diff. 

I am not sure how to address some of the comments. My answers to those
questions are in line. I would appreciate it if you could further comment on
it. 

Thanks!

Zheng

Hi,

1.       It looks to me that this draft updates RFC3558 similar to RFC 4788
and RFC 5188.  It should be referenced in the header and in the text

[Zheng] Although the payload definition of EVRCNW is similar to EVRCWB (RFC
5188), EVRCB (RFC 4788) and EVRC (RFC 3558), the current draft only defines
the payload format for EVRCNW only. This is different than that of RFC 5188,
which not only defines a new MIME type (EVRC-WB) but also update an existing
MIME type (EVRC-B in RFC 4788). 

[roni] OK

2.       In section 6 first paragraph why not reference 3788 where ToC is
defined.

3.       In second 9 in the registration template you have sendmode
deprecated. This is strange since this registration is a new registration so
there is nothing to deprecate . If you want to state that this optional
parameter that is used in other EVRC modes is not used, please do it in
another section and not in the registration section.

[Zheng] The sendmode descriptions are removed from the registration
templates. Instead a comment on it is added in Section 10 "SDP mode
attributes for EVRC-NW".

4.       In section 9 in the published specification you mention RFC3558
without a reference. I think that this document need also to be specified
since it defines the RTP header and the usage.

[Zheng] Done. 

6.      In section 9  change controller should be " IETF Audio/Video
Transport working group delegated from the IESG."

[Zheng] I am a little confused. The changed controller was indeed the same
as you mentioned. Can you please point it out in case I miss anything? 

[roni} my mistake should be "IETF Payload working group delegated from the
IESG"

7.      In section 13 how is "mode-set-recv" used in declarative SDP since
it is a decoder capability and not an encoder one.

[Zheng] In some two-way conversation scenarios, the traffics can be
asymmetric, i.e, incoming and outgoing streams use different sets of modes.
It is sufficient to declare decoder capability and the encoder at the other
side simply follows. 

[roni] Declarative is a one way announcement like in SAP for streaming
media, so there is no encoder at the other side.

Thanks

Roni Even 

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Roni Even
Sent: Thursday, August 18, 2011 2:49 PM
To: [email-masked]
Subject: [payload] WGLC on draft-ietf-avt-rtp-evrc-nw-03

Hi,

I would like to start a Working Group Last Call on
draft-ietf-avt-rtp-evrc-nw-03
<http://tools.ietf.org/html/draft-ietf-avt-rtp-evrc-nw-03>  , RTP payload
format for Enhanced Variable Rate Narrowband-Wideband Codec  (EVRC-NW)

 

Roni Even

Payload co-chair

---

From: "Fang, Zheng" <[email-masked]>
Date: Tue, 4 Oct 2011 23:39:50 +0000

Roni,

Thanks for the follow-up comments.

I will modify the change controller to be the Payload working group.

For the last question, regarding declarative use of SDP parameters (copied in below):

1.      In section 13 how is "mode-set-recv" used in declarative SDP since it is a decoder capability and not an encoder one.
             [Zheng] In some two-way conversation scenarios, the traffics can be asymmetric, i.e, incoming and outgoing streams use different sets of modes. It is sufficient to declare decoder capability and the encoder at the other side simply follows.
             [roni] Declarative is a one way announcement like in SAP for streaming media, so there is no encoder at the other side.

I propose to add the following text to Section 13 "Declarative SDP Considerations":
o  The usage of unidirectional receive only parameters, such as 'mode-set-recv', should be excluded in any declarations, since these parameters are meaningless in one-way streaming applications.
Any comments would be appreciated.
Thanks,
Zheng

From: Roni Even [mailto:[email-masked]]
Sent: Tuesday, October 04, 2011 8:55 AM
To: Fang, Zheng; [email-masked]
Cc: Wang, Min; Sinder, Dan; Huang, Pengjun (Jeff); Kandhadai, Ananthapadmanabhan (Ananth)
Subject: RE: [payload] WGLC on draft-ietf-avt-rtp-evrc-nw-03

Hi Zheng,
See inline
Roni

Cc: Wang, Min; Sinder, Dan; Huang, Pengjun (Jeff); Kandhadai, Ananthapadmanabhan (Ananth); Fang, Zheng

Hi Roni,

Thanks!
Zheng

Hi,

2.       It looks to me that this draft updates RFC3558 similar to RFC 4788 and RFC 5188.  It should be referenced in the header and in the text
[Zheng] Although the payload definition of EVRCNW is similar to EVRCWB (RFC 5188), EVRCB (RFC 4788) and EVRC (RFC 3558), the current draft only defines the payload format for EVRCNW only. This is different than that of RFC 5188, which not only defines a new MIME type (EVRC-WB) but also update an existing MIME type (EVRC-B in RFC 4788).

[roni] OK

3.       In section 6 first paragraph why not reference 3788 where ToC is defined.
[Zheng] Reference is added.

4.       In second 9 in the registration template you have sendmode deprecated. This is strange since this registration is a new registration so there is nothing to deprecate . If you want to state that this optional parameter that is used in other EVRC modes is not used, please do it in another section and not in the registration section.
[Zheng] The sendmode descriptions are removed from the registration templates. Instead a comment on it is added in Section 10 "SDP mode attributes for EVRC-NW".

5.       In section 9 in the published specification you mention RFC3558 without a reference. I think that this document need also to be specified since it defines the RTP header and the usage.
[Zheng] References are added.

6.       In section 9 in the author field add your email address
[Zheng] Done.

7.      In section 9  change controller should be " IETF Audio/Video Transport working group delegated from the IESG."
[Zheng] I am a little confused. The changed controller was indeed the same as you mentioned. Can you please point it out in case I miss anything?
[roni} my mistake should be "IETF Payload working group delegated from the IESG"

8.      In section 13 how is "mode-set-recv" used in declarative SDP since it is a decoder capability and not an encoder one.
[Zheng] In some two-way conversation scenarios, the traffics can be asymmetric, i.e, incoming and outgoing streams use different sets of modes. It is sufficient to declare decoder capability and the encoder at the other side simply follows.
[roni] Declarative is a one way announcement like in SAP for streaming media, so there is no encoder at the other side.

Thanks
Roni Even

Hi,

Roni Even
Payload co-chair

---

From: Roni Even <[email-masked]>
Date: Wed, 05 Oct 2011 07:31:59 +0200

Hi Zheng,

OK

Regards

Roni

From: Fang, Zheng [mailto:[email-masked]] 
Sent: Wednesday, October 05, 2011 1:40 AM
To: Roni Even; [email-masked]
Cc: Fang, Zheng
Subject: RE: [payload] WGLC on draft-ietf-avt-rtp-evrc-nw-03

Roni,

For the last question, regarding declarative use of SDP parameters (copied
in below):

1.      In section 13 how is "mode-set-recv" used in declarative SDP since
it is a decoder capability and not an encoder one.

             [Zheng] In some two-way conversation scenarios, the traffics
can be asymmetric, i.e, incoming and outgoing streams use different sets of
modes. It is sufficient to declare decoder capability and the encoder at the
other side simply follows. 

             [roni] Declarative is a one way announcement like in SAP for
streaming media, so there is no encoder at the other side.

I propose to add the following text to Section 13 "Declarative SDP
Considerations":

o   The usage of unidirectional receive only parameters, such as
'mode-set-recv', should be excluded in any declarations, since these
parameters are meaningless in one-way streaming applications. 

Thanks,

Zheng

Ananthapadmanabhan (Ananth)

Hi Zheng,

See inline

Roni

Hi Roni,

Thanks!

Zheng

Hi,

2.       It looks to me that this draft updates RFC3558 similar to RFC 4788
and RFC 5188.  It should be referenced in the header and in the text

[roni] OK

3.       In section 6 first paragraph why not reference 3788 where ToC is
defined.

4.       In second 9 in the registration template you have sendmode

5.       In section 9 in the published specification you mention RFC3558
without a reference. I think that this document need also to be specified
since it defines the RTP header and the usage.

[Zheng] Done. 

7.      In section 9  change controller should be " IETF Audio/Video
Transport working group delegated from the IESG."

8.      In section 13 how is "mode-set-recv" used in declarative SDP since
it is a decoder capability and not an encoder one.

Thanks

Roni Even 

Hi,

 

Roni Even

Payload co-chair